> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Ngày làm việc

> Truy vấn danh sách ngày làm việc (ngày giao dịch) của thị trường chứng khoán trong vòng 1 năm tính từ ngày hiện tại, đã loại trừ các ngày nghỉ lễ và cuối tuần.



## OpenAPI

````yaml https://cdn.entrade.com.vn/dnse-openapi/doc/dnse-openapi-2026-07-23.yaml get /market/working-dates
openapi: 3.0.0
info:
  title: OpenAPI-V2-Spec 260730
  version: 1.0.0
  description: DNSE OpenAPI spec and tests
servers:
  - url: https://openapi-uat.dnse.com.vn
security: []
paths:
  /market/working-dates:
    get:
      tags:
        - market-data
      summary: Ngày làm việc
      description: >-
        Truy vấn danh sách ngày làm việc (ngày giao dịch) của thị trường chứng
        khoán trong vòng 1 năm tính từ ngày hiện tại, đã loại trừ các ngày nghỉ
        lễ và cuối tuần.
      parameters:
        - name: X-API-Key
          in: header
          required: true
          description: API Key được cấp khi đăng ký dịch vụ
          schema:
            type: string
          example: '{{apiKey}}'
        - name: X-Aux-Date
          in: header
          required: true
          description: Chữ ký xác thực yêu cầu
          schema:
            type: string
          example: '{{date}}'
        - name: X-Signature
          in: header
          required: true
          description: Thời gian thực hiện yêu cầu
          schema:
            type: string
          example: '{{signature}}'
        - name: version
          in: header
          description: API version (YYYY-MM-DD)
          schema:
            type: string
          example: '2026-07-23'
      responses:
        '200':
          description: OK
          headers:
            Content-Length:
              schema:
                type: integer
              example: 4670
            Date:
              schema:
                type: string
              example: Thu, 16 Apr 2026 06:56:23 GMT
            Vary:
              schema:
                type: string
              example: Authorization
            X-Ratelimit-Limit:
              schema:
                type: integer
              example: 1000
            X-Ratelimit-Remaining:
              schema:
                type: integer
              example: 995
            X-Ratelimit-Reset:
              schema:
                type: integer
              example: 1776334437
            X-Tyk-Api-Expires:
              schema:
                type: string
              example: Thu, 02 Jan 3000 15:04:00 UTC
          content:
            application/json:
              schema:
                type: object
                properties:
                  workingDates:
                    type: array
                    items:
                      type: string
                      format: date
              example:
                workingDates:
                  - '2026-04-16'
                  - '2026-04-17'
                  - '2026-04-20'
                  - '2026-04-21'
                  - '2026-04-22'
                  - '2026-04-23'
                  - '2026-04-24'
                  - '2026-04-27'
                  - '2026-04-28'
                  - '2026-04-29'
                  - '2026-05-04'
                  - '2026-05-05'
                  - '2026-05-06'
                  - '2026-05-07'
                  - '2026-05-08'
                  - '2026-05-11'
                  - '2026-05-12'
                  - '2026-05-13'
                  - '2026-05-14'
                  - '2026-05-15'
                  - '2026-05-18'
                  - '2026-05-19'
                  - '2026-05-20'
                  - '2026-05-21'
                  - '2026-05-22'
                  - '2026-05-25'
                  - '2026-05-26'
                  - '2026-05-27'
                  - '2026-05-28'
                  - '2026-05-29'
                  - '2026-06-01'
                  - '2026-06-02'
                  - '2026-06-03'
                  - '2026-06-04'
                  - '2026-06-05'
                  - '2026-06-08'
                  - '2026-06-09'
                  - '2026-06-10'
                  - '2026-06-11'
                  - '2026-06-12'
                  - '2026-06-15'
                  - '2026-06-16'
                  - '2026-06-17'
                  - '2026-06-18'
                  - '2026-06-19'
                  - '2026-06-22'
                  - '2026-06-23'
                  - '2026-06-24'
                  - '2026-06-25'
                  - '2026-06-26'
                  - '2026-06-29'
                  - '2026-06-30'
                  - '2026-07-01'
                  - '2026-07-02'
                  - '2026-07-03'
                  - '2026-07-06'
                  - '2026-07-07'
                  - '2026-07-08'
                  - '2026-07-09'
                  - '2026-07-10'
                  - '2026-07-13'
                  - '2026-07-14'
                  - '2026-07-15'
                  - '2026-07-16'
                  - '2026-07-17'
                  - '2026-07-20'
                  - '2026-07-21'
                  - '2026-07-22'
                  - '2026-07-23'
                  - '2026-07-24'
                  - '2026-07-27'
                  - '2026-07-28'
                  - '2026-07-29'
                  - '2026-07-30'
                  - '2026-07-31'
                  - '2026-08-03'
                  - '2026-08-04'
                  - '2026-08-05'
                  - '2026-08-06'
                  - '2026-08-07'
                  - '2026-08-10'
                  - '2026-08-11'
                  - '2026-08-12'
                  - '2026-08-13'
                  - '2026-08-14'
                  - '2026-08-17'
                  - '2026-08-18'
                  - '2026-08-19'
                  - '2026-08-20'
                  - '2026-08-21'
                  - '2026-08-24'
                  - '2026-08-25'
                  - '2026-08-26'
                  - '2026-08-27'
                  - '2026-08-28'
                  - '2026-08-31'
                  - '2026-09-01'
                  - '2026-09-03'
                  - '2026-09-04'
                  - '2026-09-07'
                  - '2026-09-08'
                  - '2026-09-09'
                  - '2026-09-10'
                  - '2026-09-11'
                  - '2026-09-14'
                  - '2026-09-15'
                  - '2026-09-16'
                  - '2026-09-17'
                  - '2026-09-18'
                  - '2026-09-21'
                  - '2026-09-22'
                  - '2026-09-23'
                  - '2026-09-24'
                  - '2026-09-25'
                  - '2026-09-28'
                  - '2026-09-29'
                  - '2026-09-30'
                  - '2026-10-01'
                  - '2026-10-02'
                  - '2026-10-05'
                  - '2026-10-06'
                  - '2026-10-07'
                  - '2026-10-08'
                  - '2026-10-09'
                  - '2026-10-12'
                  - '2026-10-13'
                  - '2026-10-14'
                  - '2026-10-15'
                  - '2026-10-16'
                  - '2026-10-19'
                  - '2026-10-20'
                  - '2026-10-21'
                  - '2026-10-22'
                  - '2026-10-23'
                  - '2026-10-26'
                  - '2026-10-27'
                  - '2026-10-28'
                  - '2026-10-29'
                  - '2026-10-30'
                  - '2026-11-02'
                  - '2026-11-03'
                  - '2026-11-04'
                  - '2026-11-05'
                  - '2026-11-06'
                  - '2026-11-09'
                  - '2026-11-10'
                  - '2026-11-11'
                  - '2026-11-12'
                  - '2026-11-13'
                  - '2026-11-16'
                  - '2026-11-17'
                  - '2026-11-18'
                  - '2026-11-19'
                  - '2026-11-20'
                  - '2026-11-23'
                  - '2026-11-24'
                  - '2026-11-25'
                  - '2026-11-26'
                  - '2026-11-27'
                  - '2026-11-30'
                  - '2026-12-01'
                  - '2026-12-02'
                  - '2026-12-03'
                  - '2026-12-04'
                  - '2026-12-07'
                  - '2026-12-08'
                  - '2026-12-09'
                  - '2026-12-10'
                  - '2026-12-11'
                  - '2026-12-14'
                  - '2026-12-15'
                  - '2026-12-16'
                  - '2026-12-17'
                  - '2026-12-18'
                  - '2026-12-21'
                  - '2026-12-22'
                  - '2026-12-23'
                  - '2026-12-24'
                  - '2026-12-25'
                  - '2026-12-28'
                  - '2026-12-29'
                  - '2026-12-30'
                  - '2026-12-31'
                  - '2027-01-04'
                  - '2027-01-05'
                  - '2027-01-06'
                  - '2027-01-07'
                  - '2027-01-08'
                  - '2027-01-11'
                  - '2027-01-12'
                  - '2027-01-13'
                  - '2027-01-14'
                  - '2027-01-15'
                  - '2027-01-18'
                  - '2027-01-19'
                  - '2027-01-20'
                  - '2027-01-21'
                  - '2027-01-22'
                  - '2027-01-25'
                  - '2027-01-26'
                  - '2027-01-27'
                  - '2027-01-28'
                  - '2027-01-29'
                  - '2027-02-01'
                  - '2027-02-02'
                  - '2027-02-03'
                  - '2027-02-04'
                  - '2027-02-05'
                  - '2027-02-08'
                  - '2027-02-09'
                  - '2027-02-10'
                  - '2027-02-11'
                  - '2027-02-12'
                  - '2027-02-15'
                  - '2027-02-16'
                  - '2027-02-17'
                  - '2027-02-18'
                  - '2027-02-19'
                  - '2027-02-22'
                  - '2027-02-23'
                  - '2027-02-24'
                  - '2027-02-25'
                  - '2027-02-26'
                  - '2027-03-01'
                  - '2027-03-02'
                  - '2027-03-03'
                  - '2027-03-04'
                  - '2027-03-05'
                  - '2027-03-08'
                  - '2027-03-09'
                  - '2027-03-10'
                  - '2027-03-11'
                  - '2027-03-12'
                  - '2027-03-15'
                  - '2027-03-16'
                  - '2027-03-17'
                  - '2027-03-18'
                  - '2027-03-19'
                  - '2027-03-22'
                  - '2027-03-23'
                  - '2027-03-24'
                  - '2027-03-25'
                  - '2027-03-26'
                  - '2027-03-29'
                  - '2027-03-30'
                  - '2027-03-31'
                  - '2027-04-01'
                  - '2027-04-02'
                  - '2027-04-05'
                  - '2027-04-06'
                  - '2027-04-07'
                  - '2027-04-08'
                  - '2027-04-09'
                  - '2027-04-12'
                  - '2027-04-13'
                  - '2027-04-14'
                  - '2027-04-15'
                  - '2027-04-16'
        '400':
          description: Yêu cầu không hợp lệ
          headers:
            Vary:
              schema:
                type: string
              example: Origin
            X-Generator:
              schema:
                type: string
              example: tyk.io
            X-Tyk-Api-Expires:
              schema:
                type: string
              example: Thu, 02 Jan 3000 15:04:00 UTC
            Date:
              schema:
                type: string
              example: Thu, 16 Apr 2026 06:59:35 GMT
            Content-Length:
              schema:
                type: integer
              example: 116
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  status:
                    type: integer
              example:
                code: OA-003
                message: Thông tin nhập không hợp lệ
                status: 400
        '500':
          description: Lỗi hệ thống
          headers:
            Vary:
              schema:
                type: string
              example: Origin
            X-Generator:
              schema:
                type: string
              example: tyk.io
            X-Tyk-Api-Expires:
              schema:
                type: string
              example: Thu, 02 Jan 3000 15:04:00 UTC
            Date:
              schema:
                type: string
              example: Thu, 16 Apr 2026 07:02:56 GMT
            Content-Length:
              schema:
                type: integer
              example: 116
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 500
                    description: Mã HTTP
                    format: int32
                  code:
                    type: string
                    example: OA-009
                    description: Mã lỗi
                  message:
                    type: string
                    example: Lỗi hệ thống
                    description: Thông điệp lỗi
              example:
                code: OA-009
                message: Lỗi hệ thống
                status: 500

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.